### Method

# Panel Widget set_save_delegate

#### Declaration [src]

    void
    panel_widget_set_save_delegate (
      PanelWidget* self,
      PanelSaveDelegate* save_delegate
    )

#### Description [src]

Sets the `PanelWidget:save-delegate` property.

The save delegate may be used to perform save operations on the content within the widget.

Document editors might use this to save the file to disk.

Sets property | `Panel.Widget:save-delegate`

#### Parameters

`save_delegate` | `PanelSaveDelegate`
| A `PanelSaveDelegate` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.